bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#32763: 26.1; emacs-module.h isn't installed with Emacs for module de


From: Eli Zaretskii
Subject: bug#32763: 26.1; emacs-module.h isn't installed with Emacs for module development
Date: Tue, 18 Sep 2018 21:33:06 +0300

merge 32763 31929
thanks

> Date: Tue, 18 Sep 2018 20:08:10 +0200
> From: Vasilij Schneidermann <address@hidden>
> 
> I've recently developed a simple module and ran into a surprising issue
> with the skeleton: I couldn't locate the emacs-module.h in my system
> matching the Emacs installation the module is compiled against.  I
> eventually gave up and just bundled the emacs-module.h from a Git
> checkout with my module's source code.  It makes up for most of the code
> in the project.

Yes, this is bug#31929.  The header should be installed by "make install"
into the system header file's tree.

> Is this an oversight in the installation process or a deliberate
> design decision?

Oversight.





reply via email to

[Prev in Thread] Current Thread [Next in Thread]